<?php
/* Корневая папка */
define('ROOT', 'http://'.$_SERVER['HTTP_HOST']);
iconv_set_encoding('internal_encoding', 'UTF-8');
/* Функция фильтровки данных при выводе из базы */
function win($str) {
return htmlspecialchars($str, ENT_QUOTES);
}
/* Функция фильтровки данных при записи в базу */
function utf($str) {
return mysql_real_escape_string(trim($str));
}

/* Защита от XSS */
function xss($text) {
$text = strip_tags($text);
$text = str_replace('&','', $text);
$text = str_replace('$','', $text);
$text = str_replace('<','&lt;', $text);
$text = str_replace('<input','', $text);
$text = str_replace('<form','', $text);
$text = str_replace('<div','', $text);
$text = str_replace('<script','', $text);
$text = str_replace('src','', $text);
$text = str_replace('>','&gt;', $text);
$text = str_replace('~','', $text);
$text = str_replace('`','', $text);
$text = str_replace('#','', $text);
$text = str_replace('*','', $text);
$text = str_replace('%','', $text);
$text = str_replace ('\n',' ', $text);
$text = str_replace ('\r','', $text);
$text = htmlentities($text, ENT_QUOTES, 'utf-8');
return $text;
}

/* Функция ББ кодов */
function bb($str) {
/* Жирный шрифт */
$str = preg_replace('#\[b\](.*?)\[/b\]#si', '<b>\1</b>', $str);
/* Наклоненный шрифт */
$str = preg_replace('#\[i\](.*?)\[/i\]#si', '<i>\1</i>', $str);
/* Подчеркнутый шрифт */
$str = preg_replace('#\[u\](.*?)\[/u\]#si', '<u>\1</u>', $str);
/* Перенос текста */
$str = preg_replace('#\[br\]#si', '<br/>', $str);
/* Зачеркнутый шрифт */
$str = preg_replace('#\[del\](.*?)\[/del\]#si', '<del>\1</del>', $str);
/* Маленький шрифт */
$str = preg_replace('#\[small\](.*?)\[/small\]#si', '<small>\1</small>', $str);
/* Цветной шрифт */
$str = preg_replace('#\[color=(.*?)\](.*?)\[/color\]#si', '<span style="color:\1">\2</span>', $str);
/* Цитата */
$str = preg_replace('#\[quote\](.*?)\[/quote\]#si', '<div class="tabl2">Цитата:<br/><div class="tabl">\1</div></div>', $str);

$str = preg_replace('#\[code\](.*?)\[/code\]#ie', 'highlight_code("\1")', $str);

return $str;
}
function url_replace($m) {
if (!isset($m[3])) {
return '<a href="' . $m[1] . '">' . $m[2] . '</a>';
} else {
return '<a href="' . $m[3] . '">' . $m[3] . '</a>'; }
}

function bblinks($link) {
$link = preg_replace_callback('~\\[url=(http://.+?)\\](.+?)\\[/url\\]|(http://(www.)?[0-9a-z\.\-]+\.[0-9a-z]{2,6}[0-9a-zA-Z/\?\.\-\~&;_=%:#\+]*)~', 'url_replace', $link);
return $link; }
//////////////////////////////////////////////////////////////////////////////// 
/* Функция вывода смайлов */
function smiles($str) {
global $user;
for($i = 1; $i <= count(glob('../img/smiles/*.gif')); $i++) {
$str = str_replace(':'.$i.':', '<img src="/img/smiles/'.$i.'.gif" alt=""/>', $str);
} 
return $str;
}
 
/* Дата и время */
date_default_timezone_set('Europe/Moscow');

/* Функция фильтровки чисел */
function val($str, $abs = null) {
if ($abs == null) {
return intval($str);
} else {
return abs(intval($str)); }
}
/* Функция для работы с check формой */
function check($str, $real) {
if ($str == $real) {
return 'checked="checked"';
} else {
return; }
}
/* Функция для работы с select формой */
function select($str, $real) {
if ($str == $real) {
return 'selected="selected"';
} else {
return; }
}
/* Функция определения кто где */


function where($where) {
if (stripos($where, 'index.php'))           {  return '<a href="/">Главная</a>';  }

elseif (stripos($where, 'panel/'))      {  return 'Админ-Панель';  }

elseif (stripos($where, 'cabn/online.php'))      {  return '<a href="/cab/online">Онлайн</a>';         }

elseif (stripos($where, 'cabn/go2.php'))      {  return '<a href="/cab/rek">Переходит по ссылке</a>';         } 

elseif (stripos($where, 'mod/ads.php'))      {  return '<a href="/buy">Покупка рекламы</a>';         }

elseif (stripos($where, 'mod/wk.php'))      {  return '<a href="/buy/wk">Покупка рекламы</a>';         }

elseif (stripos($where, 'mod/info.php'))      {  return '<a href="/info">Информация</a>';         }

elseif (stripos($where, 'mod/who.php'))      {  return '<a href="/info/who">Наши преимущества</a>';         }

elseif (stripos($where, 'mod/stats.php'))      {  return '<a href="/stats">Статистика</a>';         } 

elseif (stripos($where, 'cabn/chat.php'))      {  return '<a href="/cab/chat">Чат</a>';         } 

elseif (stripos($where, 'cabn/cpanel.php'))      {  return '<a href="/cab/us">Кабинет</a>';         }

elseif (stripos($where, 'mod/go.php'))      {  return '<a href="/cab/rek">Переходит по ссылке</a>';         }
elseif (stripos($where, 'cabn/go.php'))        {  return '<a href="'.ROOT.'/cab/rek">Переходит по ссылке</a>';      }

elseif (stripos($where, 'cabn/rand.php'))        {  return '<a href="'.ROOT.'/cab/rek">Переходит по ссылке</a>';      } 


else                                        {  return 'Не определено';                                  }
}
function getRealIpAddr()
{
  if (!empty($_SERVER['HTTP_CLIENT_IP']))
  {
    $ip=$_SERVER['HTTP_CLIENT_IP'];
  }
  elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))
  {
    $ip=$_SERVER['HTTP_X_FORWARDED_FOR'];
  }
  else
  {
    $ip=$_SERVER['REMOTE_ADDR'];
  }
  return $ip;
} 
function daytime($var) {
if ($var == NULL) $var = time();
$full_time = date('d.m.Y в H:i', $var);
$date = date('d.m.Y', $var);
$time = date('H:i', $var);
if ($date == date('d.m.Y')) $full_time = date('Сегодня в H:i', $var);
if ($date == date('d.m.Y', time()-60*60*24)) $full_time = date('Вчера в H:i', $var);
return $full_time;  }

/* Функция отправки почты на email */
function mailto($mail, $theme, $text, $str) {
$utf = "From: ".$str." \n";
$utf.= "X-sender: < ".$str." >\n";
$utf.= "Content-Type: text/html; charset=utf-8\n";
return mail($mail, $theme, $text, $utf);
}

/* Функция генерации пароля */
function gen_pass($col = 6) {
$row = 'abcdefghijklmnopqrstuvwxvzABCDEFGHIJKLMNOPQRSTUVWXVZ0123456789';
$str = '';
for($i= 0 ; $i < $col; $i++) {
$str.= $row[rand(0, 61)];
}
return $str;
}

/* Статус онлайн */
function online($user){
$result = mysql_query("SELECT `date` FROM `online` WHERE `user` = '".$user."'");
$rows = mysql_fetch_array($result);
if($rows['date'] < time()-300) {
$online = "";
} else {
$online = "on";
}
return $online;
}

/* Функция определения реального браузера */
if(isset($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'])) {
$_ua = $_SERVER['HTTP_X_OPERAMINI_PHONE_UA'];
} else {
$_ua = $_SERVER['HTTP_USER_AGENT'];
}

/* Функция авторизации */
if (isset($_SESSION['login']) && isset($_SESSION['pass'])) {
$sql = mysql_query("select * from `users` where `login`='".$_SESSION['login']."' limit 1");

if (mysql_num_rows($sql) != 0) {
$user = mysql_fetch_assoc($sql);
if ($user['login'] == strtolower($_SESSION['login']) || strtoupper($_SESSION['login']) && $user['pass'] == $_SESSION['pass']) {
$active = true;

/* Онлайн */
if (!mysql_num_rows(mysql_query("select (`user`) from `online` where `user`='".$user['login']."'"))) {
mysql_query("insert into `online` set `user`='".$user['login']."', `ip`='".$_SERVER['REMOTE_ADDR']."', `ua`='".strtok($_ua, ' (')."', `date`='".time()."', `where`='".$_SERVER['PHP_SELF']."'");
} else {
mysql_query("update `online` set `date`='".time()."', `where`='".$_SERVER['PHP_SELF']."' where `user`='".$user['login']."' limit 1");
}
} else {
session_destroy();
}
} else {
session_destroy();
}
}
/* Функции извлечения настроек с базы */
$systema = mysql_query("SELECT * FROM `settings`");
$set = array();
while ($query = mysql_fetch_array($systema)){
$set[$query[0]] = $query[1]; }

/* Функции постраничной навигации */
function page($k_page = 1) {
$page = 1;
if (isset($_GET['page'])) {
if ($_GET['page'] == 'end') {
$page = intval($k_page);
}
elseif(is_numeric($_GET['page'])) {
$page = intval($_GET['page']);
}
if ($page < 1) {
$page = 1;
}
if ($page > $k_page) {
$page = $k_page;
}
}
return $page;
}

function k_page($k_post = 0, $k_p_str = 10) {
if ($k_post != 0) {
$v_pages = ceil($k_post / $k_p_str);
return $v_pages;
} else {
return 1;
}
}

function navigation($link = '?', $k_page = 1, $page = 1) {
if ($page < 1) {
$page = 1;
}
echo '<div class="menu">';
if ($page != 1) {
echo 'Стр. <a href="?page=1"><span class="panel">1</span></a> ';
} else {
echo 'Стр. 1 ';
}
for ($i =- 3; $i <= 3; $i++) {
if ($page + $i > 1 && $page + $i < $k_page) {
if ($i ==- 3 && $page + $i > 2) {
echo ' ..';
}
if ($i != 0) {
echo '<a href="?page='.($page + $i).'">'.($page + $i).'</a> ';
} else {
echo ' '.($page + $i).' ';
}
if ($i == 3 && $page + $i < $k_page - 1) {
echo ' ..';
}
}
}
if ($page != $k_page) {
echo ' <a href="?page=end">'.$k_page.'</a>';
}
elseif ($k_page > 1) {
echo ' '.$k_page.'';
}
echo '</div>';
}
/* Различные счетчики модулей */
#############################################################################
 $new_chat= mysql_result(mysql_query("select count(*) from `guest` where `date`>'".(time() - 3600 * 12)."'"), 0);
if($new_chat > 0) {
$c_new_chat = '/<span>+'.$new_chat.'</span>';
} else {
$c_new_chat = '';
}
/* Подсчитываем кол-во пользователей */
$count_users = mysql_result(mysql_query("select count(`id`) from `users`"), 0);
/* Подсчитываем кол-во пользователей онлайн */
$count_online_user = mysql_result(mysql_query("select count(`id`) from `online` where `user`<>'' and `date`>'".(time() - 300)."'"), 0);

/* Последний зарегистрированный пользователь */
$user_desc = mysql_fetch_assoc(mysql_query("select (`login`) from `users` order by `id` desc limit 1"));
$bs = mysql_fetch_assoc(mysql_query("select * from `b_sum`"));
$bs2=$bs['rub'];
$abc = mysql_fetch_assoc(mysql_query("select * from `clicks`"));
$pers=$abc['go'];
/* Подсчитываем кол-во зарегистрированных пользователей сегодня */
$ctr_v = mysql_fetch_assoc(mysql_query("select * from `ctr`"));
$ctr2=$ctr_v['value'];
$count_users_new = mysql_result(mysql_query("select count(`id`) from `users` where `datereg`>'".mktime(0, 0, 1, date('m'), date('d'), date('Y'))."'"), 0);
$cls = mysql_result(mysql_query("select count(`idp`) from `u_click`"), 0); 
$mp = mysql_result(mysql_query("select count(`idp`) from `u_click` where `type` = '1'"), 0);
$op = mysql_result(mysql_query("select count(`idp`) from `u_click` where `type` = '0'"), 0); 
$m_now = ($op * 0.05) + ($mp * 0.01);
$cbm = mysql_result(mysql_query("select sum(`money`) from `users` where `id` <> '1'"),0);
$pay = mysql_result(mysql_query("select sum(`money`) from `payment`"),0);
$pln = ($cbm + $bs2 + $pay) / 0.05;
 ?>