CREATE TABLE IF NOT EXISTS `clicks` (
  `go` int(11) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

INSERT INTO `clicks` (`go`) VALUES
('0');

CREATE TABLE IF NOT EXISTS `go` (
  `go` int(11) NOT NULL,
  `ip` text NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ; 

CREATE TABLE IF NOT EXISTS `rek` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `comm` text NOT NULL, 
  `url` text NOT NULL,
  `days` text NOT NULL,
  `data` text NOT NULL,
  `num` text NOT NULL,
  `ok` text NOT NULL,
  `gold` int(11) NOT NULL, 
  `color` text NOT NULL,
  `sum` int(11) NOT NULL,
  `ball` int(11) NOT NULL,
  `go` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ; 

CREATE TABLE IF NOT EXISTS `pp_click` (
  `go` int(11) NOT NULL,
  `us` int(11) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ; 

CREATE TABLE IF NOT EXISTS `b_sum` (
  `rub` float(11,2) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

INSERT INTO `b_sum` (`rub`) VALUES
('0'); 

CREATE TABLE IF NOT EXISTS `guest` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` int(11) NOT NULL,
  `user` varchar(15) NOT NULL,
  `text` varchar(2500) NOT NULL,
  `answer` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `payment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `money` float(11,2) NOT NULL,
  `wmr` varchar(13) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=1 ; 

CREATE TABLE IF NOT EXISTS `u_click` (
  `idp` int(11) NOT NULL,
  `idu` int(11) NOT NULL,
  `type` int(11) NOT NULL DEFAULT '0',
  `time` int(11) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `online` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` int(11) NOT NULL,
  `user` varchar(15) NOT NULL,
  `ua` varchar(50) NOT NULL,
  `ip` varchar(50) NOT NULL,
  `where` varchar(150) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `settings` (
  `name` varchar(60) NOT NULL,
  `value` varchar(60) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `settings` (`name`, `value`) VALUES
('mail', 'support@wordads.ru'),
('pages', '10'),
('registration', '1');

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `datereg` int(11) NOT NULL,
  `lasttime` int(11) NOT NULL,
  `login` varchar(15) NOT NULL,
  `ref` varchar(15) NOT NULL,
  `wmr` varchar(15) NOT NULL, 
  `pass` varchar(150) NOT NULL,
  `email` varchar(35) NOT NULL,
  `admin` enum('0','1') NOT NULL,
  `ip` varchar(50) NOT NULL,
  `ua` varchar(200) NOT NULL,
  `money` float(11,2) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;